{
  description = "Ticker calendar aggregator";

  outputs = { self, nixpkgs }:
    let
      systems = [ "x86_64-linux" "i686-linux" "aarch64-linux" ];
      forSystems = nixpkgs.lib.genAttrs systems;
    in {
      packages = forSystems (system:
        import ./default.nix {
          pkgs = nixpkgs.legacyPackages.${system};
        }
      );

      defaultPackage = forSystems (system:
        self.packages.${system}.ticker-serve
      );

      devShell = import ./shell.nix {
        pkgs = nixpkgs.legacyPackages.x86_64-linux;
      };

      nixosModule = import ./nixos-module.nix;
    };
}
